<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="row d-flex justify-content-center align-items-center " style="height: 100vh;">
        <div class="col-sm-4 jumbotron">
            <div class="row">
                <h2>Sign up</h2>

            </div>
            <div class="row">
                <p>Please fill in this form to create account</p>
            </div>
            <hr>
            <div class="row mt-3">
                <input type="text" name="" id="inp-name" placeholder="Username" class="form-control">
            </div>
            <div class="row mt-3">
                <input type="text" name="" id="inp-pass" placeholder="Password" class="form-control">
            </div>
            <div class="row mt-3">
                <input type="text" name="" id="inp-email" placeholder="Email" class="form-control">
            </div>
            <div class="row mt-3 d-flex flex-row">


                <div class="form-check">
                    <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault">
                    <label class="form-check-label" for="flexCheckDefault">
                        I accept the Terms of use & privacy policy
                    </label>
                </div>


            </div>
            <div class="row mt-3">
                <button id="btn-sign-up" class="btn btn-primary form-control">Sign Up</button>
            </div>
        </div>
    </div>

</body>
<script>
    $(document).ready(function () {
        $("#btn-sign-up").on("click", function () {
            onBtnSignUp();
        })
    })

    function onBtnSignUp() {
        var vObjUser = {
            username: "",
            password: "",
            email: "",
        }
        thuThapThongTin(vObjUser);
        $.ajax({
            url: "http://localhost:8080/api/auth/signup",
            type: "POST",
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            data: JSON.stringify(vObjUser),
            success: function (paramRes) {
                console.log(paramRes);
            },
            error: function (paramErr) {
                var errorMessage = xhr.responseJSON.message;
                showError(errorMessage);
            }
        })
    }
    function thuThapThongTin(paramObj) {
        paramObj.username = $("#inp-name").val();
        paramObj.password = $("#inp-pass").val();
        paramObj.email = $("#inp-email").val();
    }
</script>

</html>